BUS_DESCRIBE_INTR(9)

NAME
BUS_DESCRIBE_INTR, bus_describe_intr - associate a description with an active interrupt handler

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
BUS_DESCRIBE_INTR(device_t dev, device_t child, struct resource *irq, void *cookie, const char *descr);
int
bus_describe_intr(device_t dev, struct resource *irq, void *cookie, const char *fmt, ...);

DESCRIPTION
The BUS_DESCRIBE_INTR() method associates a description with an active interrupt handler. The cookie parameter must be the value returned by a successful call to BUS_SETUP_INTR(9) for the interrupt irq.

The bus_describe_intr() function is a simple wrapper around BUS_DESCRIBE_INTR(). As a convenience, bus_describe_intr() allows the caller to use printf(9) style formatting to build the description string using fmt.

When an interrupt handler is established by BUS_SETUP_INTR(9), the handler is named after the device the handler is established for. This name is then used in various places such as interrupt statistics displayed by systat(1) and vmstat(8). For devices that use a single interrupt, the device name is sufficiently unique to identify the interrupt handler. However, for devices that use multiple interrupts it can be useful to distinguish the interrupt handlers. When a description is set for an active interrupt handler, a colon followed by the description is appended to the device name to form the interrupt handler name.

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
BUS_SETUP_INTR(9), systat(1), vmstat(8), device(9), printf(9)

HISTORY
The BUS_DESCRIBE_INTR() method and bus_describe_intr() functions first appeared in FreeBSD 8.1.

BUGS
It is not currently possible to remove a description from an active interrupt handler.